#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	belr
Version		:	5.2.73
Release		:	14.4.0.0%{?dist}
Summary		:	Language recognition library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0-or-later AND GPL-2.0-or-later
URL		:	https://gitlab.linphone.org/BC/public/belr/
 

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bctoolbox-devel
BuildRequires	:	bctoolbox-tester
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
#-----------------------------------------------------------------------------
%description
Belr parses input formatted according to a
language defined by an ABNF grammar, such as
the protocols standardised at IETF.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.txt
%{_libdir}/libbelr.so.1*

#=============================================================================
%package		devel
Summary		:	Headers and libraries for the belr library
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Belr parses input formatted according to a
language defined by an ABNF grammar, such as
the protocols standardised at IETF.
 
This package contains header files and
development libraries needed to develop
applications using the belr library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/*.cmake
%{_datadir}/%{name}-tester/res/*.txt
%{_datadir}/%{name}/grammars/%{name}-*.blr
 
#=============================================================================
%package		tools
Summary		:	Tools and utilities for the belr library
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
Belr parses input formatted according to
a language defined by an ABNF grammar,
such as the protocols standardised at IETF.
 
This package contains tools and utilities
needed to develop applications using the
belr library.

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%{_bindir}/%{name}-compiler
%{_bindir}/%{name}-parse
%{_bindir}/%{name}_tester

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	.						\
	-D CMAKE_INSTALL_PREFIX:PATH=%{_prefix}		\
	-D CMAKE_INSTALL_FULL_LIBDIR=ON			\
	-D ENABLE_SHARED=YES				\
	-D ENABLE_STATIC=NO

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
